// pages/day/day.js
const app = getApp();
var host = app.globalData.host;
var id;
Page({

  /**
   * 页面的初始数据
   */
  data: {

  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    wx.showNavigationBarLoading()
    /**获取token */
    wx.getStorage({
      key: 'userInfo',
      success: res => {
        this.setData({
          userInfo: res.data
        })
        this.getData(options.id, options.player_id);
      },
      fail: error => {
        //跳转到登陆页面
        wx.switchTab({
          url: '../user/user',
        })
      }
    })
  },
  getData(id, player_id) {
    wx.request({
      url: host + '/api/wx/player/match/record/list',
      data: { id: id, player_id: player_id},
      header: {
        'Authorization': this.data.userInfo.token
      },
      success: res => {
        console.log(res)
        this.setData({
          datas: res.data.data
        })
        wx.hideNavigationBarLoading()
      },
      fail: error => {
        //跳转到登陆页面
        wx.switchTab({
          url: '../user/user',
        })
      }
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})